eID middleware |

# eIDMW::PTEID_ExBadUsage Class Reference

Exception class Bad Usage (error code = EIDMW_ERR_BAD_USAGE). More...

`#include <eidlibException.h>`

Inheritance diagram for eIDMW::PTEID_ExBadUsage:

List of all members.

## Public Member Functions
PTEIDSDK_API | PTEID_ExBadUsage ()
| Constructor.
virtual PTEIDSDK_API | ~PTEID_ExBadUsage ()
| Destructor.

## Detailed Description

Exception class Bad Usage (error code = EIDMW_ERR_BAD_USAGE).

Throw when a class/function is not used correctly Used in : - PTEID_Crl class

## Constructor & Destructor Documentation

PTEIDSDK_API eIDMW::PTEID_ExBadUsage::PTEID_ExBadUsage | ( |  | ) |

Constructor.

virtual PTEIDSDK_API eIDMW::PTEID_ExBadUsage::~PTEID_ExBadUsage | ( |  | ) | `[virtual]`

Destructor.

The documentation for this class was generated from the following file:

- eidlibException.h